#
# Conditional build:
%bcond_without	qt4	# Qt4 Phonon backend
%bcond_without	qt5	# Qt5 Phonon (Phonon4Qt5) backend

%define		phonon_ver	4.7.0
%define		qt4_ver		4.7.1
%define		qt5_ver		4.7.1
%define		kdever		4.5.5
%define		vlc_ver		2.0.1

Summary:	VLC backend for Phonon
Summary(pl.UTF-8):	Wtyczka VLC dla Phonona
Name:		phonon-backend-vlc
Version:	0.9.1
Release:	2
License:	LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/phonon/phonon-backend-vlc/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	5169203a485bf800bdc092e0b6efe646
#URL:		http://
BuildRequires:	cmake >= 2.8.6
BuildRequires:	vlc-devel >= %{vlc_ver}
BuildRequires:	rpmbuild(macros) >= 1.605
%if %{with qt4}
BuildRequires:	QtCore-devel >= %{qt4_ver}
BuildRequires:	QtGui-devel >= %{qt4_ver}
BuildRequires:	phonon-devel >= %{phonon_ver}
BuildRequires:	qt4-build >= %{qt4_ver}
BuildRequires:	qt4-qmake >= %{qt4_ver}
%endif
%if %{with qt5}
BuildRequires:	Qt5Core-devel >= %{qt5_ver}
BuildRequires:	Qt5Gui-devel >= %{qt5_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt5_ver}
BuildRequires:	phonon-qt5-devel >= %{phonon_ver}
BuildRequires:	qt5-build >= %{qt5_ver}
BuildRequires:	qt5-qmake >= %{qt5_ver}
%endif
Requires:	phonon >= %{phonon_ver}
Requires:	vlc >= %{vlc_ver}
Provides:	qt4-phonon-backend = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VLC backend for Phonon.

%description -l pl.UTF-8
Wtyczka VLC dla Phonona.

%package -n phonon-qt5-backend-vlc
Summary:	VLC backend for Qt5 Phonon
Summary(pl.UTF-8):	Wtyczka VLC dla Phonona opartego na Qt5
Group:		Libraries
Requires:	phonon-qt5 >= %{phonon_ver}
Requires:	vlc >= %{vlc_ver}
Provides:	qt5-phonon-backend = %{version}

%description -n phonon-qt5-backend-vlc
VLC backend for Qt5 Phonon.

%description -n phonon-qt5-backend-vlc -l pl.UTF-8
Wtyczka VLC dla Phonona opartego na Qt5.

%prep
%setup -q

%build
%if %{with qt4}
install -d build-qt4
cd build-qt4
%cmake ..
%{__make} -j1
cd ..
%endif

%if %{with qt5}
install -d build-qt5
cd build-qt5
%cmake .. \
	-DPHONON_BUILD_PHONON4QT5=ON
%{__make} -j1
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with qt4}
%{__make} -C build-qt4 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with qt5}
%{__make} -C build-qt5 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with qt4}
%files
%defattr(644,root,root,755)
%doc AUTHORS 
%attr(755,root,root) %{_libdir}/kde4/plugins/phonon_backend/phonon_vlc.so
%{_datadir}/kde4/services/phononbackends/vlc.desktop
%endif

%if %{with qt5}
%files -n phonon-qt5-backend-vlc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt5/plugins/phonon4qt5_backend/phonon_vlc.so
%endif
%changelog
* Sat Oct 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phonon-backend-vlc.git;a=log;h=master

* Sat Oct 12 2019 Jan Rękorajski <baggins@pld-linux.org> e4080fc
- release 2 (by relup.sh)

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> cdc4fc8
- up to 0.9.1

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> b128acc
- updated source URL

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 30e7d15
- build also phonon4qt5 backend; release 3

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 7bb991b
- updated dependencies

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> bd6a4c3
- release 2 (by relup.sh)

* Tue Mar 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a5faab1
- up to 0.8.2

* Tue Mar 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b1bc77
- rel 2

* Tue Feb 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fd1ec9
- up to 0.8.1

* Thu Oct 24 2013 Jan Rękorajski <baggins@pld-linux.org> 5ca0df1
- release 2 (by relup.sh)

* Sun Feb 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1693b7b
- up to 0.6.2

* Wed Feb 08 2012 blekot <blekot@pld-linux.org> 6788d12
- added phonon-backend-vlc-FindPhonon.cmake.patch
- up to 0.4.1

* Wed Feb 08 2012 blekot <blekot@pld-linux.org> 31a8f60
- new, taken from repository
- fix linking problems

* Thu Apr 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d22a3c4
- up to 0.4.0

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 8da16c4
- P: qt4-phonon-backend = %{version}
= adjusted to new cmake macro

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 51b68df
- up to 0.3.2

* Sat Jul 24 2010 shadzik <shadzik@pld-linux.org> fd28e43
- Source0

* Sat Jul 24 2010 shadzik <shadzik@pld-linux.org> 9a2990e
- init

